


.portada {
  margin-top: 60px;
  max-height: 350px;
  object-fit: cover;
  width: 100%;
  padding: 0px;
}

.portada img {
  border-radius: 8px;
}

#portadaDisenoWeb {
  border-radius: 8px;
}



.parent {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-template-rows: repeat(2, 1fr);
  grid-column-gap: 0px;
  grid-row-gap: 0px;
}

.parent {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-template-rows: repeat(2, 1fr);
  grid-column-gap: 0px;
  grid-row-gap: 0px;
}



:root {
    --main-color: rgb(19, 167, 225);
  }

.container {
    width: 100%;
    height: 100vh;
    padding: 0 8%;
  }
  .container h2 {
    text-align: center;
    padding-top: 6%;
    margin-bottom: 60px;
    font-size: 1.8rem;
    font-weight: 600;
    position: relative;
  }
  .container h2::after {
    content: "";
    position: absolute;
    bottom: -8px;
    left: 50%;
    transform: translateX(-50%);
    width: 100px;
    height: 5px;
    background-color: var(--main-color);
    border-radius: 20px;
  }
  .rows {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 10px;
  }

  


  .row .service {
    background: white;
    color: white;
    font-size: 15px;
    border-radius: 5px;
    text-align: center;
    cursor: pointer;
    transition: 0.5s;
  }

  .row .service p {
    color: white;
  }

  .row .service:hover {
    color: #fff;
    transform: scale(1.05);
  }
  .row .service i {
    color: white;
    margin-bottom: 20px;
    font-size: 40px;
    transition: 0.5s;
  }
  .row .service:hover i {
    color: #fff;
  }
  .row .service h2 {
    font-weight: 600;
    margin-bottom: 20px;
  }


  .icon{
    max-width: 64px;
    max-height: 64px;
  }

  #w1{
    color: #1575bc;
  }

  #w2{
    color: #fdbd26;
  }

  #w3{
    color: #f0524d;
  }

  #w4{
    color: #38b54a;
  }

  #w5{
    color: #00afaf;
  }

  #w6{
    color: #a9479b;
  }

  #w7{
    color: #ee1a7b;
  }

  #w8{
    color: #009cd7;
  }


  .rows .web1 {
    max-height: 230px;
    max-width: 280px;
    min-height: 230px;
    background-color: #1575bc;
    font-size: 15px;
    border-radius: 5px;
    text-align: center;
    cursor: pointer;
    transition: 0.5s;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
  }

  .rows .web2 {
    max-height: 230px;
    max-width: 280px;
    min-height: 230px;
    background: #fdbd26;
    font-size: 15px;
    border-radius: 5px;
    text-align: center;
    cursor: pointer;
    transition: 0.5s;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
  }


  .rows .web3 {
    max-height: 230px;
    max-width: 280px;
    min-height: 230px;
    background: #f0524d;
    font-size: 15px;
    border-radius: 5px;
    text-align: center;
    cursor: pointer;
    transition: 0.5s;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
  }

  .rows .web4 {
    max-height: 230px;
    max-width: 280px;
    min-height: 230px;
    background: #38b54a;
    font-size: 15px;
    border-radius: 5px;
    text-align: center;
    cursor: pointer;
    transition: 0.5s;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
  }


  .rows .web5 {
    max-height: 230px;
    max-width: 280px;
    min-height: 230px;
    background: #00afaf;
    font-size: 15px;
    border-radius: 5px;
    text-align: center;
    cursor: pointer;
    transition: 0.5s;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
  }

  .rows .web6 {
    max-height: 230px;
    max-width: 280px;
    min-height: 230px;
    background: #a9479b;
    font-size: 15px;
    border-radius: 5px;
    text-align: center;
    cursor: pointer;
    transition: 0.5s;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
  }

  .rows .web7 {
    max-height: 230px;
    max-width: 280px;
    min-height: 230px;
    background: #ee1a7b;
    font-size: 15px;
    border-radius: 5px;
    text-align: center;
    cursor: pointer;
    transition: 0.5s;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
  }

  .rows .web8 {
    max-height: 230px;
    max-width: 280px;
    min-height: 230px;
    background: #009cd7;
    font-size: 15px;
    border-radius: 5px;
    text-align: center;
    cursor: pointer;
    transition: 0.5s;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
  }


.buttonWeb{
    border: none;
    border-radius: 5px;
    padding: 6px 12px;
    background-color: #343a40;
    color: white;
    margin-left: auto;
    margin-right: auto;
    display: block;
    font-size: 1.2em;
    text-align: center;
    
}



.imagenNosotros img{
    border-radius: 10px;
}

.svc{
  font-size: 80px !important;
}

@media (max-width: 768px) {
  .contenedorGeneral .row {
    grid-template-columns: repeat(2, 1fr);
  }
  
  .rows .service {
    padding: 30px 20px;
    height: fit-content;
  }
  .service img {
    width: 70%; 
  }

}


@media (max-width: 768px) {
  .contenedorGeneral .rows{
    grid-template-columns: repeat(2, 1fr);
  }
  
  .rows .service {
    padding: 30px 20px;
    height: fit-content;
  }
  .service img {
    width: 80%; 
  }

  .rows a{
    font-size: 13px;
  }


}


@media (max-width: 1024px), (max-width: 768px) {
  .rows .web1,
  .rows .web2,
  .rows .web3,
  .rows .web4,
  .rows .web5,
  .rows .web6,
  .rows .web7,
  .rows .web8 {
    min-height: auto;
  }
}


@media (max-width: 768px) {
  .contenedorGeneral .rowP{
    grid-template-columns: repeat(2, 1fr);
  }
  
  .rowP .service {
    padding: 30px 20px;
    height: fit-content;
  }
  .service img {
    width: 80%; 
  }

  .rowP a{
    font-size: 13px;
  }


}


@media (max-width: 1024px), (max-width: 768px) {
  .rows .web1 .buttonWeb,
  .rows .web2 .buttonWeb,
  .rows .web3 .buttonWeb,
  .rows .web4 .buttonWeb,
  .rows .web5 .buttonWeb,
  .rows .web6 .buttonWeb,
  .rows .web7 .buttonWeb,
  .rows .web8 .buttonWeb{
    display: flex;
  }
}









/* INFO WEBS */

/* details */

details{
  margin: 1rem auto;
  padding: 1.5rem;
  background-color: #fff;
  border-radius: 1rem;
  box-shadow: 0 .25rem 1rem rgba(0, 0, 0, 0.1);
  
  summary{
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-weight: 600;
    margin-bottom: 0;
    transition: margin-bottom .4s;
    position: relative;
    font-size: 1.7rem;
  }

  
  summary::-webkit-details-marker,
  summary::marker{
    display: none;
  }
  
 
  summary::after{
    content: "+";
    font-size: 1.5rem;
    font-weight: 400;
    line-height: 1;
    margin-right: 1rem;
    cursor: pointer;
    background-color: rgba(blue, .1);
    padding: .75rem;
    display: grid;
    place-content: center;
    aspect-ratio: 1;
    line-height: 0;
    position: absolute;
    top: -.5rem;
    right: -1.5rem;
    border-radius: 50%;
  }
  
  *:not(summary) {
    animation-name: fade;
    animation-duration: .4s;
  }
}

details p{
  font-size: 1.5rem;
}


details[open]{
  
  summary{
    margin-bottom: 1.5rem;
    
    &::after{
      content: "−";
    }
  }
}



@keyframes fade {
  0%{
    opacity: 0;
  }
  
  100%{
    opacity: 1;
  }
}


@media (max-width: 1024px) {
  summary {
    font-size: 1.5rem;
  }
}

@media (max-width: 768px) {
  .photoAndText {
    flex-direction: column;
    align-items: center;
  }

  summary {
    font-size: 1.4rem;
  }

  details p {
    font-size: 1.3rem;
  }
  .infoServices{
    display: flex;
    flex-direction: column;
  }

  .masInfo{
    padding: 5px;
    background-color: rgb(66, 133, 244);
    color: white;
    font-size: 20px;
    border: none;
    border-radius: 5px;
    text-decoration: none;
  }

}

@media (max-width: 480px) {
  summary {
    font-size: 1.2rem;
  }

  .photoAndText img {
    width: 92px;
    height: auto;
  }

  #b1,#b2,#b3,#b4,#b5,#b6,#b7,#b8,#b10.masInfo{
    padding: 5px;
    color: white;
    font-size: 20px;
    border: none;
    border-radius: 5px;
    text-decoration: none;
  }

  .masInfoBtn{
    margin: 15px 0px;
  }

  details p {
    font-size: 1.1rem;
  }

  .infoContainer3{
    width: 92px;
    height: auto;
  }
  .backgroundContainer1{
    width: 100%;
      background-color: rgb(48, 116, 181);
      border-radius: 8px;
      display: flex;
      justify-content: center;
  }

  .backgroundContainer2{
    width: 100%;
      background-color: rgb(242, 154, 44);
      border-radius: 8px;
      display: flex;
      justify-content: center;
  }

  .backgroundContainer3{
    width: 100%;
      background-color: rgb(74, 168, 44);
      border-radius: 8px;
      display: flex;
      justify-content: center;
  }

  .backgroundContainer4{
    width: 100%;
      background-color: rgb(226, 45, 24);
      border-radius: 8px;
      display: flex;
      justify-content: center;
  }

  .backgroundContainer5{
    width: 100%;
      background-color: rgb(52, 73, 152);
      border-radius: 8px;
      display: flex;
      justify-content: center;
  }

  .backgroundContainer6{
    width: 100%;
      background-color: rgb(231, 90, 73);
      border-radius: 8px;
      display: flex;
      justify-content: center;
  }

  .backgroundContainer7{
    width: 100%;
      background-color: rgb(175, 79, 153);
      border-radius: 8px;
      display: flex;
      justify-content: center;
  }



  .backgroundPage1{
    width: 100%;
      background-color: rgb(21, 117, 188);
      border-radius: 8px;
      display: flex;
      justify-content: center;
  }

  .backgroundPage2{
    width: 100%;
      background-color: rgb(253, 189, 38);
      border-radius: 8px;
      display: flex;
      justify-content: center;
  }

  .backgroundPage3{
    width: 100%;
      background-color: rgb(240, 82, 77);
      border-radius: 8px;
      display: flex;
      justify-content: center;
  }

  .backgroundPage4{
    width: 100%;
      background-color: rgb(56, 181, 74);
      border-radius: 8px;
      display: flex;
      justify-content: center;
  }

  .backgroundPage5{
    width: 100%;
      background-color: rgb(0, 175, 175);
      border-radius: 8px;
      display: flex;
      justify-content: center;
  }

  .backgroundPage6{
    width: 100%;
      background-color: rgb(169, 71, 155);
      border-radius: 8px;
      display: flex;
      justify-content: center;
  }

  .backgroundPage7{
    width: 100%;
      background-color: rgb(238, 26, 123);
      border-radius: 8px;
      display: flex;
      justify-content: center;
  }

  .backgroundPage8{
    width: 100%;
      background-color: rgb(0, 156, 216);
      border-radius: 8px;
      display: flex;
      justify-content: center;
  }


  .backgroundPage9 {
  width: 100%;
  background-color: rgb(255, 123, 62);
  border-radius: 8px;
  display: flex;
  justify-content: center;
}

.backgroundPage10 {
  width: 100%;
  background-color: rgb(116, 66, 181); 
  border-radius: 8px;
  display: flex;
  justify-content: center;
}


  .backgroundPage11{
    width: 100%;
      background-color: rgb(66, 133, 244);
      border-radius: 8px;
      display: flex;
      justify-content: center;
  }
}




/* Colors */

#s1{
  color: rgb(66, 133, 244);
}

#s2{
  color: #fdbd26;
}

#s3{
  color: #f0524d;
}

#s4{
  color: #38b54a;
}

#s5{
  color: #00afaf;
}

#s6{
  color: #a9479b;
}
#s7{
  color: #ee1a7b;
}
#s8{
  color: #009cd7;
}

#s9{
  color: rgb(255, 123, 62);;
}


/* INFO */

.infoContainer1{
  max-width: 105px;
  max-height: 107px;
  background-color: rgb(66, 133, 244);
  border-radius: 5px;
}

.infoContainer2{
  min-width: 105px;
  min-height: 107px;
  max-width: 105px;
  max-height: 107px;
  object-fit: cover;
  background-color: #fdbd26;
  border-radius: 5px;
}

.infoContainer3{
  min-width: 105px;
  min-height: 107px;
  max-width: 105px;
  max-height: 107px;
  object-fit: cover;
  background-color: #f0524d;
  border-radius: 5px;
}

.infoContainer4{
  max-width: 105px;
  max-height: 107px;
  background-color: #38b54a;
  border-radius: 5px;
}

.infoContainer5{
  max-width: 105px;
  max-height: 107px;
  background-color: #00afaf;
  border-radius: 5px;
}

.infoContainer6{
  max-width: 105px;
  max-height: 107px;
  background-color: #a9479b;
  border-radius: 5px;
}

.infoContainer7{
  max-width: 123px;
  max-height: 190px;
  background-color: #ee1a7b;
  border-radius: 5px;
}



.infoContainer8{
  max-width: 123px;
  max-height: 190px;
  background-color: #009cd7;
  border-radius: 5px;
}


.infoContainer9{
  max-width: 123px;
  max-height: 190px;
  background-color: rgb(255, 123, 62);;
  border-radius: 5px;
}

.infoContainer10{
  max-width: 123px;
  max-height: 190px;
  background-color: #009cd7;
  border-radius: 5px;
}




.infoServices{
  display: flex;
  justify-content: space-between;
  align-items: center;
}


.masInfo{
  padding: 5px;
  background-color: rgb(66, 133, 244);
  color: white;
  font-size: 16px;
  border: none;
  border-radius: 5px;
  text-decoration: none;
}

.masInfo:hover{
  color: white;
}

.photoAndText{
  display: flex;
  justify-content: center;
  align-items:  center;
  gap: 10px;
  max-width: 85%;
}

.photoAndText p{
  font-size: 15px;
}



#b1{
  background-color: rgb(48, 116, 181);
}


#b2{
  background-color: rgb(242, 154, 44);
}

#b3{
  background-color: #f0524d;
}

#b4{
  background-color: #38b54a;
}

#b5{
  background-color: #00afaf;
}

#b6{
  background-color: #a9479b;
}

#b7{
  background-color: #ee1a7b;
}

#b8{
  background-color: #009cd7;
}


#b10{
  background-color: rgb(0, 175, 175);
}

#b9{
  background-color: rgb(255, 123, 62);
}


/* IFRAME */


.iframeContainer {
  width: 600px; /* Ancho fijo en escritorio */
  height: 450px; /* Altura fija en escritorio */
  margin: 0 auto; /* Centrar el iframe en desktop */
}

.iframeContainer iframe {
  width: 100%;
  height: 100%;
}

/* Ajustes para pantallas pequeñas */
@media (max-width: 600px) {
  .iframeContainer {
    width: 100%; /* Ocupa el ancho completo en dispositivos móviles */
    height: auto; /* Ajusta la altura en función del ancho */
  }

  .iframeContainer iframe {
    aspect-ratio: 4 / 3; /* Mantiene la relación de aspecto */
  }
}